<?php 
session_start();
foreach($_GET as $campo => $valor){${$campo}=trim($valor);} 
foreach($_POST as $campo => $valor){${$campo}=trim($valor);} 

include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);

$error=0;
if(empty($user_codigo)){$error=1;}
elseif(empty($tabla)){$error=2;}
elseif(empty($codigo)){$error=3;}

if(empty($error))
{
     
     $sql_codi='select * from '.$tabla.'0 where '.$tabla.'_codigo='.$codigo.'';
     $res_codi=msql_query($sql_codi,$link_data);
     $codi=msql_result($res_codi,0,$tabla.'_item');
     
     if(mb_stristr('gmny.gnya',$cfg_empr)){$codi=substr($codi,0,10);}
     
     $sql_updt='update '.$tabla.'0 set '.$tabla.'_defa=null where '.$tabla.'_item like "'.$codi.'%"';
     $res_updt=msql_query($sql_updt,$link_data);
//      echo '<res>';
//      echo '<consolelog>';
//      echo $sql_updt;
//      echo '</consolelog>';
//      echo '</res>';
     
     $sql_updt='update '.$tabla.'0 set '.$tabla.'_defa="1" where '.$tabla.'_codigo="'.$codigo.'"';
     $res_updt=msql_query($sql_updt,$link_data);
     $sql_updt='update '.$tabla.'0 set '.$tabla.'_status="-" where '.$tabla.'_codigo="'.$codigo.'"';
     $res_updt=msql_query($sql_updt,$link_data);
}
     
?>

